## Sesiune si autentificare

O sesiune este definită ca o serie de solicitări legate de browser care
provin de la același client într-o anumită perioadă de timp. Urmărirea
sesiunii leagă împreună o serie de solicitări de browser - gândiți-vă la
aceste solicitări ca pagini - care pot avea o anumită semnificație în
ansamblu, cum ar fi o aplicație pentru coșul de cumpărături.

Autentificarea de bază HTTP este o metodă simplă de autentificare pentru
client prin care acesta furniza un nume de utilizator și o parolă atunci
când efectuează o solicitare către server. Acesta este cel mai simplu
mod posibil de a impune controlul accesului, deoarece nu necesită module
cookie, sesiuni sau orice altceva. Pentru a utiliza acest lucru,
clientul trebuie să trimită antetul de autorizare împreună cu fiecare
solicitare pe care o face.

Implementarea mecanismului de autentificare folosind codul
[skelet](https://gitlab.cs.pub.ro/protocoale-de-comunicatie/pcom-laboratoare-public/-/tree/bogdan_costel.mocanu-master-patch-08393/lab10)
implică construirea unui mesaj de tip POST care include cei doi
parametrii **nume** și **parolă** sub forma unui vectori de stringuri.
