# Setup

Pentru a simula o retea virtuala vom folosi [Mininet](http://mininet.org/).
Mininet este un simulator de retele ce foloseste in simulare implementari reale
de kernel, switch si cod de aplicatii.

```bash
sudo apt update
sudo apt install mininet openvswitch-testcontroller tshark python3-click python3-scapy xterm
sudo pip3 install mininet
```

Dupa ce am instalat Mininet, vom folosi urmatoarea comanda pentru a creste
dimensiunea fontului in terminalele pe care le vom deschide.

```bash
echo "xterm*font: *-fixed-*-*-*-18-*" >> ~/.Xresources 
xrdb -merge ~/.Xresources
```

Cand o sa rulam simularea, e posibil sa intalniti urmatoarea eroare:
`Exception: Please shut down the controller which is running on port 6653:`. 
Pentru a rezolva problema, va trebui sa rulati `pkill ovs-test`.

---
**NOTE**

* Pe unele versiuni mai vechi de ubuntu este posibil sa
fie nevoie sa instalati `python-click` si `python-scapy` fiind folosit
Python 2.
* Din incercarile noastre, Mininet **nu functioneaza** pe Windows Subsystem
for Linux. Este recomandat sa folositi Linux nativ sau intr-un mediu
virtualizat. 

---
