# Porturi

Porturile sunt conceptul ce ne ajuta sa facem **multiplexare** la nivel
de aplicatie.

In contextul retelelor de comunicatie, un port este un numar asociat unei
aplicatii (nu unui host). Daca o aplicatie doreste sa comunice cu alte aplicatii
(aflate pe masini diferite sau aplicatii ce ruleaza local), aceasta expune un
port, o locatie logica prin care accepta conexiuni si prin care se realizeaza
schimbul de date.

Aceste numere permit aplicatiilor sa partajeze concurent resursele de
retea. Serverul de mail nu asteapta terminarea altor procese ce implica
reteaua (web surfing) pentru a putea trimite un mail la destinatie.

Numerele sunt reprezentate pe 2 octeti, de la 0 la 65535, insa cele pana
la 1024 sunt rezervate pentru aplicatii standard, precum:

  - FTP (File Transfer Protocol, transfer date): 20,21 
  - SSH (Secure Shell): 22 
  - Telnet (Login remote, mesaje text necriptate): 23 
  - SMTP (Simple Mail Transfer Protocol): 25 
  - HTTP (Hypertext Transfer Protocol, folosit in WWW): 80 
  - POP3 (Post Office Protocol): 110 
  - IMAP (Internet Message Access Protocol): 143 