# Dimensiunea ferestrei

Vom presupune un caz simplu in care 2 hosti pot interschimba datagrame
UDP peste mai multe link-uri:

```
      (1 Gb, 1 us)
Host A <------> Switch <--------> Router <--------> Switch <-------> Host B
```

**Cum calculam dimensiunea ferestrei?** Link-ul cu cel mai mic BDP va fi bottleneck-ul si va da dimensiunea ferestrei:
\\( BDP = 1 Gb/s * 1 us = 10^9 b/s * 10^{-6} s = 1000 biti = 1 Kb \\)

Vom presupune ca datagramele noastre au un continut de 1500

\\( Frame_size = [Datagram Size / BDP] \\)